<?php

/**
 * Medicall functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Medicall
 */
/* Freemius Deploy
 */
if ( !function_exists( 'med_fs' ) ) {
    // Create a helper function for easy SDK access.
    function med_fs() {
        global $med_fs;
        if ( !isset( $med_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/freemius/start.php';
            $med_fs = fs_dynamic_init( array(
                'id'               => '15696',
                'slug'             => 'medicall',
                'type'             => 'theme',
                'public_key'       => 'pk_4d1ba64d0147636579a0b1e1ef023',
                'is_premium'       => false,
                'premium_suffix'   => 'Premium',
                'has_addons'       => false,
                'has_paid_plans'   => true,
                'is_org_compliant' => false,
                'menu'             => array(
                    'support' => false,
                ),
                'is_live'          => true,
            ) );
        }
        return $med_fs;
    }

    // Init Freemius.
    med_fs();
    // Signal that SDK was initiated.
    do_action( 'med_fs_loaded' );
}
/* Freemius Deploy...
 */
if ( !defined( 'MEDICALL_VERSION' ) ) {
    define( 'MEDICALL_VERSION', '1.0.0' );
}
/**
 * Breadcrumbs
 */
require get_template_directory() . '/inc/breadcrumbs.php';
/**
 * Local Font Loader
 */
require get_template_directory() . '/inc/local-font-loader.php';
/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';
/**
 * Custom Functions.
 */
require get_template_directory() . '/inc/custom-functions.php';
/**
 * Template Hooks Functions.
 */
require get_template_directory() . '/inc/template-hooks.php';
/**
 * WordPress Hooks for this theme.
 */
require get_template_directory() . '/inc/wp-hooked.php';
/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer/customizer.php';
/**
 * Template Functions
 */
require get_template_directory() . '/inc/template-functions.php';
/**
 * Custom Post Type Metas
 */
require get_template_directory() . '/inc/meta/cptmeta.php';
/**
 * Plugin Recommendation
*/
require get_template_directory() . '/inc/tgmpa/recommended-plugins.php';
/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
    require get_template_directory() . '/inc/jetpack.php';
}
if ( medicall_woo_boolean() ) {
    require get_template_directory() . '/inc/woo.php';
}